<?php

namespace app\admin\controller;

use app\admin\logic\GroupLogic;
use app\BaseController;
use app\model\CommonModel;
use think\exception\ValidateException;
use think\facade\Config;
use think\facade\Validate;

//【企业和卡类型组合】
class Group extends BaseController
{
    //列表
    public function list()
    {
        $param = $this->request->only(['page' => 1, 'size' => 10, 'status' => '', 'company_title' => '', 'card_title' => '', 'combination' => ''], 'post');

        return GroupLogic::list($param);
    }

    //添加
    public function add()
    {
        $param = $this->request->only(['company_id', 'card_id', 'remark' => ''], 'post');

        $val = Validate::rule(Config::get('validate_rules.GroupAdd'));

        if (!$val->check($param)) throw new ValidateException($val->getError());

        return GroupLogic::add($param);
    }

    //详情
    public function read()
    {
        $id = $this->request->post('id/d', 0);
        return GroupLogic::read($id);
    }

    //编辑
    public function edit()
    {
        $param = $this->request->only(['id', 'company_id', 'card_id', 'remark' => ''], 'post');

        $val = Validate::rule(array_merge(Config::get('validate_rules.GroupAdd'), ['id|分组id' => 'require|number|gt:0']));

        if (!$val->check($param)) throw new ValidateException($val->getError());

        return GroupLogic::edit($param);
    }

    //启禁用
    public function status()
    {
        $param = $this->request->only(['id', 'status'], 'post');

        $val = Validate::rule(Config::get('validate_rules.status'));

        if (!$val->check($param)) throw new ValidateException($val->getError());

        return GroupLogic::status($param);
    }

    //删除
    public function delete()
    {
        $ids = $this->request->post('id/a', []);
        return GroupLogic::delete($ids);
    }


}