<?php

use app\model\AdminMenuModel;
use app\model\CommonModel;
use app\model\GroupModel;
use app\model\RoleModel;
use app\model\ThemeModel;

return [
    //【通用】
    'common' => [
        'keyword|关键字' => 'chsDash|max:100',
        'page|页码' => 'require|number|gt:0',
        'size|每页数量' => 'require|number|elt:100',
        'status|状态' => 'number|in:' . CommonModel::$status_normal . ',' . CommonModel::$status_disable,
        'company_id|企业' => 'number|gt:0',
        'card_id|卡类型' => 'number|gt:0',
    ],

    //【启禁用】
    'status' => [
        'id' => 'require|number|gt:0',
        'status|状态' => 'require|number|in:' . CommonModel::$status_normal . ',' . CommonModel::$status_disable,
    ],

    //【登录】
    'login' => [
        'username|卡号' => 'require|max:255',
        'password|密码' => 'require|max:255',
        'callback_url|登录成功以后要跳转的url' => 'url',
    ],

    //【地址】
    //添加
    'AddrAdd' => [
        'addr_code|收货地址省市区编码' => 'require|array|length:3',
        'addr|详情地址' => 'require|max:255',
        'contactor|联系人' => 'require|max:255',
        'mobile|联系电话' => 'require|mobile',
    ],

    //修改密码
    'changePassword' => [
        'old_password|旧密码' => 'require|min:6|max:255',
        'new_password|新密码' => 'require|min:6|max:255',
    ],

    //商品详情
    'goodInfo' => [
        'code|编码' => 'require|length:18'
    ],

    //【订单】
    'ExchangeOrderAdd' => [
        'good_id|商品' => 'require|number|gt:0',
        'addr_id|收货地址' => 'require|number|gt:0',
        'num|购买数量' => 'require|number|gt:0|lt:999999999',
        'remark|' => 'max:255',
    ],

];