<?php

namespace app\mobile\controller;

use app\BaseController;
use app\mobile\logic\ShoppingLogic;
use think\exception\ValidateException;
use think\facade\Config;
use think\facade\Validate;

//商城商品
class Shopping extends BaseController
{
    //商城商品列表
    public function goodList()
    {
        $param = $this->request->only(['page' => 1, 'size' => 10], 'post');
        return ShoppingLogic::goodList($param);
    }

    //商城商品详情
    public function goodInfo()
    {
        $code = $this->request->post('code', '');

        $val = Validate::rule(Config::get('validate_rules.goodInfo'));
        if (!$val->check(['code' => $code])) throw new ValidateException($val->getError());

        return ShoppingLogic::goodInfo($code);
    }


}